Bits
Date: 2015-03-03

org.bson.io

## Class Bits

- java.lang.Object
- - org.bson.io.Bits

-     public class Bits
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Bits()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `readFully(java.io.InputStream in, byte[] b)`
    `static void` | `readFully(java.io.InputStream in, byte[] b, int length)`
    `static void` | `readFully(java.io.InputStream in, byte[] b, int startOffset, int length)`
    `static int` | `readInt(byte[] data)`
    `static int` | `readInt(byte[] data, int offset)`
    `static int` | `readInt(java.io.InputStream in)`
    `static int` | `readInt(java.io.InputStream in, byte[] data)`
    `static int` | `readIntBE(byte[] data, int offset)`
    `static long` | `readLong(byte[] data)`
    `static long` | `readLong(byte[] data, int offset)`
    `static long` | `readLong(java.io.InputStream in)`
    `static long` | `readLong(java.io.InputStream in, byte[] data)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Bits

          public Bits()

  - ### Method Detail

    - #### readFully

          public static void readFully(java.io.InputStream in,
                       byte[] b)
                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readFully

          public static void readFully(java.io.InputStream in,
                       byte[] b,
                       int length)
                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readFully

          public static void readFully(java.io.InputStream in,
                       byte[] b,
                       int startOffset,
                       int length)
                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readInt

          public static int readInt(java.io.InputStream in)
                             throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readInt

          public static int readInt(java.io.InputStream in,
                    byte[] data)
                             throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readInt

          public static int readInt(byte[] data)

    - #### readInt

          public static int readInt(byte[] data,
                    int offset)

    - #### readIntBE

          public static int readIntBE(byte[] data,
                      int offset)

    - #### readLong

          public static long readLong(java.io.InputStream in)
                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readLong

          public static long readLong(java.io.InputStream in,
                      byte[] data)
                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readLong

          public static long readLong(byte[] data)

    - #### readLong

          public static long readLong(byte[] data,
                      int offset)